Package org.eclipse.draw2d

# Interface ConnectionRouter

All Known Implementing Classes:
  `AbstractRouter`, `AutomaticRouter`, `BendpointConnectionRouter`, `ConnectionRouter.NullConnectionRouter`, `FanRouter`, `ManhattanConnectionRouter`, `ShortestPathConnectionRouter`

public interface ConnectionRouter
Routes a `Connection`, possibly using a constraint.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`ConnectionRouter.NullConnectionRouter`
Routes Connections directly from the source anchor to the target anchor with no bendpoints in between.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ConnectionRouter`
`NULL`
The default router for Connections.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getConstraint(Connection connection)`
Returns the constraint for the Connection.
`void`
`invalidate(Connection connection)`
Invalidates the given Connection.
`void`
`remove(Connection connection)`
Removes the Connection from this router.
`void`
`route(Connection connection)`
Routes the Connection.
`void`
`setConstraint(Connection connection, Object constraint)`
Maps the given constraint to the given Connection.

## Field Details

### NULL

static final ConnectionRouter NULL
The default router for Connections.

## Method Details

### getConstraint

Object getConstraint(Connection connection)
Returns the constraint for the Connection.

Parameters:
  `connection` - The connection
Returns:
  The constraint

### invalidate

void invalidate(Connection connection)
Invalidates the given Connection.

Parameters:
  `connection` - The connection to be invalidated

### route

void route(Connection connection)
Routes the Connection.

Parameters:
  `connection` - The Connection to route

### remove

void remove(Connection connection)
Removes the Connection from this router.

Parameters:
  `connection` - The Connection to remove

### setConstraint

void setConstraint(Connection connection, Object constraint)
Maps the given constraint to the given Connection.

Parameters:
  `connection` - The Connection
  `constraint` - The constraint